org.keycloak.exportimport.util

## Class ExportOptions

- java.lang.Object
- - org.keycloak.exportimport.util.ExportOptions

-     public class ExportOptions
      extends Object

  Author:
    Marko Strukelj

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportOptions()`
    `ExportOptions(boolean users, boolean clients, boolean groupsAndRoles, boolean onlyServiceAccounts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isClientsIncluded()`
    `boolean` | `isGroupsAndRolesIncluded()`
    `boolean` | `isOnlyServiceAccountsIncluded()`
    `boolean` | `isUsersIncluded()`
    `void` | `setClientsIncluded(boolean value)`
    `void` | `setGroupsAndRolesIncluded(boolean value)`
    `void` | `setOnlyServiceAccountsIncluded(boolean value)`
    `void` | `setUsersIncluded(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExportOptions

          public ExportOptions()

    - #### ExportOptions

          public ExportOptions(boolean users,
                               boolean clients,
                               boolean groupsAndRoles,
                               boolean onlyServiceAccounts)

  - ### Method Detail

    - #### isUsersIncluded

          public boolean isUsersIncluded()

    - #### isClientsIncluded

          public boolean isClientsIncluded()

    - #### isGroupsAndRolesIncluded

          public boolean isGroupsAndRolesIncluded()

    - #### isOnlyServiceAccountsIncluded

          public boolean isOnlyServiceAccountsIncluded()

    - #### setUsersIncluded

          public void setUsersIncluded(boolean value)

    - #### setClientsIncluded

          public void setClientsIncluded(boolean value)

    - #### setGroupsAndRolesIncluded

          public void setGroupsAndRolesIncluded(boolean value)

    - #### setOnlyServiceAccountsIncluded

          public void setOnlyServiceAccountsIncluded(boolean value)

Copyright © 2021 JBoss by Red Hat. All rights reserved.